
package de.ivu.elect.business.stimmeingabe.boundary.referendum;

import javax.inject.Inject;

import de.ivu.elect.business.stimmeingabe.boundary.AbstractStimmeingabeReferendumVorlageStimmenModelBuilder;
import de.ivu.elect.business.wahl.entity.CommonWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;

public class VeStimmeingabeErfassenModelBuilder extends AbstractReferendumVorlageStimmeingabeErfassenModelBuilder {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient VeStimmeingabeReferendumVorlageStimmenModelBuilder stimmeingabeReferendumVorlageStimmenModelBuilder;

  public VeStimmeingabeErfassenModelBuilder() {
    super();
  }

  @Override
  public boolean isApplicable(Wahl wahl) {
    return CommonWahlart.VOLKSENTSCHEID.equalsWahlart(wahl);
  }

  @Override
  protected AbstractStimmeingabeReferendumVorlageStimmenModelBuilder getStimmeingabeReferendumVorlageStimmenModelBuilder() {
    return stimmeingabeReferendumVorlageStimmenModelBuilder;
  }
}
